#include <bits/stdc++.h>

using namespace std;

int main()
{
	int n=0;
	cin >> n;
	vector<pair<double,int>> porezi;
	for (int i = 0; i < n; i++)
	{
		int a=0;
		double p=0;
		cin >> a;
		cin >> p;
		p = p / 100;
		porezi.push_back(make_pair(p,a));
	}
	std::sort(porezi.begin(), porezi.end());
	
	double maxPorez = 0;
	double trenutniPorez = 0;
	for (int i = 0; i < n; i++)
	{
		trenutniPorez += porezi[0].first * porezi[i].second;
	}
	maxPorez = trenutniPorez;
	for (int i = 1; i < n; i++)
	{
		trenutniPorez = trenutniPorez * porezi[i].first / porezi[i-1].first - (porezi[i].first * porezi[i-1].second);
		if (trenutniPorez > maxPorez)
			maxPorez = trenutniPorez;
	}
	cout << std::fixed;
	cout << std::setprecision(4);
	cout << maxPorez;
	return 0;
}